#!/usr/bin/env python

from evennia import CmdSet

from commands.command import Command

class CmdPet(Command):
    """
    Pet a 'friendly' pet.

    Usage:

      pet [ <creature> ]

    Just because you |wcan|n do this, doesn't mean the creature
    |wwants|n you to.
    """
    key = "pet"

    def func(self):
        """
        Implements the pet command.
        """
        self.obj.pet_response(self.caller)


class CmdPetSet(CmdSet):
    """
    Things associated with pets.
    """
    def at_cmdset_creation(self):
        self.add(CmdPet)


class CmdKiss(Command):
    """
    Kiss something. Uh, be careful what you kiss.

    Usage:

      kiss [ <creature or thing> ]

    Just because you |wcan|n do this, doesn't mean the creature
    |wwants|n you to.
    """
    key = "kiss"

    def func(self):
        """
        Implements the kiss command.
        """
        if not self.args:
            self.caller.msg("Kiss what?")
        else:
            self.obj.kiss_response(self.caller, self.args.strip())


class CmdSetKiss(CmdSet):
    """
    Things associated with kisss.
    """
    def at_cmdset_creation(self):
        self.add(CmdKiss)
